<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <script src="./pdf.js"></script>
    <script>
        function displayPDF() {
            const pdfJS = window['pdfjs-dist/build/pdf'];
            pdfJS.GlobalWorkerOptions.workerSrc = "pdf.worker.js";
            const url = "pdf-example.pdf";
            const contentElement = document.getElementById("pdfContent");

            const loadingTask = pdfJS.getDocument(url);
            loadingTask.promise.then(function (pdf) {
                const pages = pdf.numPages;
                console.log("pages: " + pdf.numPages)
                console.log("fingerprint: " + pdf.fingerprint);

                for (let page = 1; page < pages; page++) {
                    const canvas = document.createElement("canvas");
                    canvas.id = "page-" + page;
                    contentElement.insertAdjacentElement("beforeend", canvas);
                    pdf.getPage(page).then(function (pdfPage) {
                        const canvas = document.getElementById("page-" + pdfPage.pageNumber);

                        const scale = 1.5;
                        const viewport = pdfPage.getViewport({scale: scale});

                        // Prepare canvas using PDF page dimensions
                        const context = canvas.getContext('2d');
                        canvas.height = viewport.height;
                        canvas.width = viewport.width;

                        // Render PDF page into canvas context
                        const renderContext = {
                            canvasContext: context,
                            viewport: viewport
                        };

                        const renderTask = pdfPage.render(renderContext);
                        renderTask.promise.then(function () {
                            console.log('Page rendered');
                        });
                    })
                }
            })
        }
    </script>
    <title>PDF.JS Test</title>
</head>
<body onload="displayPDF();">
<div id="pdfContent" style="max-height: 500px !important;width:770px; overflow-y: auto;"></div>
</body>
</html>